<kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
  [pageSize]="pageSize" [sortable]="true" filterable="menu" [skip]="skip"
  [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 70vh;" [selectable]="true"
  (selectionChange)="selectRow($event)" *ngIf="!loading">
  <ng-container *ngIf="dataGrid.length !== 0">
    <kendo-grid-column field="rreqesp" title="Código" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="rdesc" title="Descripción" width="200">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="depto" title="Dep. Acción" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="rcosto" title="Costo" width="100">
      <ng-template kendoGridCellTemplate let-dataItem>
        <kendo-switch [checked]="dataItem.rcosto"></kendo-switch>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="codigo" title="Cod. Cargos" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="rdisp" title="Disp." width="100">
      <ng-template kendoGridCellTemplate let-dataItem>
        <kendo-switch [checked]="dataItem.rdisp"></kendo-switch>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="rtotal" title="Inv." width="110">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="rcto" title="Cuarto" width="120">
      <ng-template kendoGridCellTemplate let-dataItem>
        <kendo-switch [checked]="dataItem.rcto"></kendo-switch>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="Trabajo" title="Trabajo" width="130">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
  </ng-container>
  <ng-template kendoGridNoRecordsTemplate>
    {{ noRecords }}
  </ng-template>
</kendo-grid>


<app-loading *ngIf="loading"></app-loading>